var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconPromptKnowledgeAnswerComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-prompt_knowledge-answer").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 16 16" }, rest, { ref: ref }),
        React.createElement("path", { d: "M7.4 5a2.067 2.067 0 0 0-2.066-2.067H2.266V11.4H6c.516 0 .996.152 1.4.41V5Zm1.2 9-.012.12A.6.6 0 0 1 7.4 14 1.4 1.4 0 0 0 6 12.6H1.667a.6.6 0 0 1-.6-.6V2.333a.6.6 0 0 1 .6-.6h3.667A3.267 3.267 0 0 1 8.6 5v9Z" }),
        React.createElement("path", { d: "M7.4 14V5a3.267 3.267 0 0 1 3.267-3.266h3.666a.6.6 0 0 1 .6.6V12a.6.6 0 0 1-.6.6H10A1.4 1.4 0 0 0 8.6 14l-.012.12a.6.6 0 0 1-1.176 0L7.4 14Zm1.2-2.19c.404-.258.884-.41 1.4-.41h3.733V2.933h-3.066A2.068 2.068 0 0 0 8.6 5v6.81Z" }));
}
var IconPromptKnowledgeAnswer = React.forwardRef(IconPromptKnowledgeAnswerComponent);
export default IconPromptKnowledgeAnswer;
